LMDE: установите последнюю версию Iceweasel или Firefox

Я использую LMDE (Linux Mint Debian Edition).
По умолчанию это поставляется с довольно старой версией Firefox (21.0). И если вы установите Iceweasel, это не улучшится.

Есть несколько сообщений на форуме об установке новой версии Iceweasel OR Firefox. В конечном итоге многие из них ведут здесь: http://mozilla.debian.net/ , где меня просят добавить этот репозиторий в /etc/apt/sources.list

deb http://cdn.debian.net/debian experimental main 

и установить следующим образом

 $ apt-get update $ apt-get install -t experimental iceweasel 

К сожалению, это приводит меня к следующей ошибке:

 The following packages have unmet dependencies: iceweasel : Depends: libc6 (>= 2.17) but 2.13-37 is to be installed Depends: xulrunner-23.0 (>= 23.0-2) but it is not going to be installed E: Unable to correct problems, you have held broken packages. 

Если это актуально, вот мой /etc/apt/sources.list

 deb http://packages.linuxmint.com/ debian main upstream import deb http://mirror.rts-informatique.fr/linuxmint/debian/latest testing main contrib non-free deb http://mirror.rts-informatique.fr/linuxmint/debian/latest/security testing/updates main contrib non-free deb http://mirror.rts-informatique.fr/linuxmint/debian/latest/multimedia testing main non-free deb http://repository.spotify.com stable non-free # Opera sources added by smxi deb http://deb.opera.com/opera sid non-free # for Iceweasel 4 deb http://cdn.debian.net/debian experimental main 

и мой /etc/apt/sources.bk (это, вероятно, просто файл резервной копии, не так ли?)

 deb http://packages.linuxmint.com/ debian main upstream import deb http://debian.linuxmint.com/latest testing main contrib non-free deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free deb http://debian.linuxmint.com/latest/multimedia testing main non-free 

  • Есть ли разница в использовании ресурсов / потребностях между версиями Ubuntu и Debian Linux Mint (под тем же DE)?
  • Только встречается подсказкой «login» tty при загрузке Mint
  • Раздел Windows не появляется при установке Linux Mint
  • Gnome 3: Показать все приложения всех рабочих областей?
  • Как настроить dnsmasq на Mint-18 с помощью NetworkManager?
  • LFSH ... для чего / lib / init?
  • Как включить rEFInd в запуске снова?
  • Как вручную добавить загрузочные приложения на Mint 17.3
  • One Solution collect form web for “LMDE: установите последнюю версию Iceweasel или Firefox”

    К счастью, я решил создать виртуальную машину LMDE, чтобы ответить на этот вопрос.

    Как и вы, я попробовал несколько вещей ( add-apt-repository )

    • firefox-next PPA на Launchpad [ ppa: mozillateam / firefox-next ] (без изменений)
    • позволяя Mint неустойчивое репо «romeo» (без изменений)
    • установка пакетов из debian экспериментального репо [ deb mozilla.debian.net/ experimental iceweasel ] (без изменений)
    • запуск dist-upgrade из debian unstable repo [ deb http://ftp.debian.org/debian unstable main ] (успешно работал с iceweasel 23 до перезагрузки установки borked)

    Мысль о просто компиляции firefox из источника .

    К сожалению, единственный вариант, о котором я знаю (помимо ожидания), – это переупаковать пакет .deb из следующего PPA firefox и изменить перечисленные зависимости . Вы должны были бы сделать это для каждой версии, хотя (и надеемся, что единственная разница в ~ubuntu добавлена ​​к номеру версии, а не скомпилирована в другую версию)

    Если для вас важна реальная скользящая версия , и вам комфортно работать с CLI, я бы настоятельно рекомендовал совершить прыжок в ArchLinux или Gentoo .

    Linux и Unix - лучшая ОС в мире.